Moving an old site over gives errors

Joomla version 1.0 is end-of-life and are no longer supported. Please use Joomla 3.x instead.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Locked
User avatar
scream
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 100
Joined: Wed Nov 30, 2005 9:11 pm
Location: New Zealand
Contact:

Moving an old site over gives errors

Post by scream » Thu Dec 16, 2010 2:40 am

Hi I have just moved a 1.0.15 site from one account to another and now I am getting a few errors with my components. First JCE was stopping the site displaying. Disabled that in config and got going but some components are still showing errors, like, I have Google Maps but clicking on a page shows
Fatal error: main() [function.require]: Failed opening required '' (include_path='.:/usr/local/lib/php') in /home/scream/clients/creativehawkesbay.co.nz/components/com_google_maps/google_maps.php on line 6
In my admin, if I click on components I get the below. I can't change to 1.5 as I have tons of old components on there and client doesn't want to change (pay for it) Any ideas? I think it's a permission thing but I have changed components to 777 and sub folders but to no avail.

Warning: opendir(/home/scream/clients/creativehawkesbay.co.nz/administrator/components/com_extcalendar) [function.opendir]: failed to open dir: Permission denied in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3130

Warning: readdir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3132

Warning: closedir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3149

Warning: opendir(/home/scream/clients/creativehawkesbay.co.nz/administrator/components/com_google_maps) [function.opendir]: failed to open dir: Permission denied in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3130

Warning: readdir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3132

Warning: closedir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3149

Warning: opendir(/home/scream/clients/creativehawkesbay.co.nz/administrator/components/com_jce) [function.opendir]: failed to open dir: Permission denied in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3130

Warning: readdir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3132

Warning: closedir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3149

Warning: opendir(/home/scream/clients/creativehawkesbay.co.nz/administrator/components/com_swmenufree) [function.opendir]: failed to open dir: Permission denied in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3130

Warning: readdir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3132

Warning: closedir(): supplied argument is not a valid Directory resource in /home/scream/clients/creativehawkesbay.co.nz/includes/joomla.php on line 3149

User avatar
ranwilli
Joomla! Master
Joomla! Master
Posts: 19131
Joined: Sun Feb 19, 2006 6:47 pm
Location: Toledo, OH
Contact:

Re: Moving an old site over gives errors

Post by ranwilli » Thu Dec 16, 2010 2:42 am

Check your PHP and MySQL versions... they are probably newer than 1.0.15 supports
Don't HACK the Joomla! core, Instead "Extend" and/or "Override."
Stay ON the update path.
https://harpervance.com

User avatar
scream
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 100
Joined: Wed Nov 30, 2005 9:11 pm
Location: New Zealand
Contact:

Re: Moving an old site over gives errors

Post by scream » Thu Dec 16, 2010 2:51 am

Thanks for fast as reply. I have another old site running 1.0.12 also transferred today but it's fine and I can't find any differences. Both on php4.4.9 and database 4.0.27-standard-log. My old boss has gone out of business so he's asked me to take over his sites.
Andrew

User avatar
Webdongle
Joomla! Master
Joomla! Master
Posts: 37263
Joined: Sat Apr 05, 2008 9:58 pm

Re: Moving an old site over gives errors

Post by Webdongle » Thu Dec 16, 2010 2:54 am

Perhaps it's an extension that can not handle the newer code. google_maps.php ?


Also upgrade would be preferable especially if you are CHMOD 777
http://www.weblinksonline.co.uk/
https://www.weblinksonline.co.uk/updating-joomla.html
"The definition of insanity is doing the same thing over and over again, but expecting different results": Albert Einstein

User avatar
scream
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 100
Joined: Wed Nov 30, 2005 9:11 pm
Location: New Zealand
Contact:

Re: Moving an old site over gives errors

Post by scream » Thu Dec 16, 2010 3:07 am

Having trouble with other components like JCE and SWmenuFree too. clicking on them from control panel just goes back to the control panel. But they are both fine in the other site. Not sure what you mean by newer code?

User avatar
scream
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 100
Joined: Wed Nov 30, 2005 9:11 pm
Location: New Zealand
Contact:

Re: Moving an old site over gives errors - SOLVED

Post by scream » Tue Jan 11, 2011 7:30 pm

Hi I found that with moving the site over file and folder ownership and permissions had changed so changed all that back and it now works. Only happened with the one site though which was weird, but thanks for your help.
Andrew


Locked

Return to “Installation - 1.0.x”